Bug 107853 - Customize window: Styles > Cell category in Add Commands empty
Summary: Customize window: Styles > Cell category in Add Commands empty
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Customize-Dialog Writer-Tables-Style
  Show dependency treegraph
 
Reported: 2017-05-14 22:31 UTC by Thomas Lendo
Modified: 2017-05-17 15:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-05-14 22:31:45 UTC
In Writer > Tools > Customize > (Menus/Context Menus/Toolbars) > Add Command, the category "Styles > Cell" is empty.

I don't know what kind of styles should be or was planned to be available here.
Comment 1 Yousuf Philips (jay) (retired) 2017-05-15 13:01:41 UTC
As we dont have any Cell type styles and this showed up in 5.3, i would assume its an error that this category is being displayed.

@Maxim: Any thoughts?
Comment 2 Thomas Lendo 2017-05-15 13:44:25 UTC
Initially I liked the idea of cell styles in addition to whole table styles in all programs except Calc (where a pendant to table styles is missing :-p). But I think that this would make it too complex for normal users?
Comment 3 Maxim Monastirsky 2017-05-15 14:38:23 UTC
(In reply to Yousuf Philips (jay) from comment #1)
> As we dont have any Cell type styles and this showed up in 5.3, i would
> assume its an error that this category is being displayed.
> 
> @Maxim: Any thoughts?
There is clearly cell styles family that was introduced in the last table style GSoc project. In particular it comes from https://gerrit.libreoffice.org/25896/ (and several other commits). But I know nothing about it.
Comment 4 Yousuf Philips (jay) (retired) 2017-05-15 15:40:13 UTC
(In reply to Maxim Monastirsky from comment #3)
> There is clearly cell styles family that was introduced in the last table
> style GSoc project. In particular it comes from
> https://gerrit.libreoffice.org/25896/ (and several other commits). But I
> know nothing about it.

Yes that would be for internal use as a child thing for table styles but wouldnt be an independent thing for users to assign to cells, so would it be easy to disable it from appearing there.
Comment 5 Commit Notification 2017-05-16 20:11:30 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e52299a6aff1386151223a99e7ed3a49496d967

tdf#107853 tdf#107854 Hide useless style families

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Yousuf Philips (jay) (retired) 2017-05-17 15:45:13 UTC
Thanks Maxim.

Version: 5.4.0.0.alpha1+
Build ID: 296c2296f5565556eea9fab51563050f28bbcafc
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-17_00:33:24
Locale: en-US (en_US.UTF-8); Calc: group